diff --git a/src/doc/screen.1 b/src/doc/screen.1
index 48652e2..e93a76b 100644
--- a/src/doc/screen.1
+++ b/src/doc/screen.1
@@ -1274,28 +1274,45 @@ window and its history into the paste buffer. In this mode a vi-like
 .br
 .in +4n
 .ti -2n
-\fBh\fP, \fBj\fP, \fBk\fP, \fBl\fP move the cursor line by line or 
-column by column.
+\fBh\fP, \fBC-h\fP, or \fBleft arrow\fP move the cursor left.
 .br
 .ti -2n
-\fB0\fP, \fB^\fP and \fB$\fP move to the leftmost column, to the first or last
-non-whitespace character on the line.
+\fBj\fP, \fBC-n\fP, or \fBdown arrow\fP move the cursor down.
+.br
+.ti -2n
+\fBk\fP, \fBC-p\fP, or \fBup arrow\fP move the cursor up.
+.br
+.ti -2n
+\fBl\fP ('el') or \fBright arrow\fP move the cursor right.
+.br
+.ti -2n
+\fB0\fP (zero) or \fBC-a\fP move to the leftmost column.
+.br
+.ti -2n
+\fB+\fP and \fB\-\fP positions one line up and down.
 .br
 .ti -2n
 \fBH\fP, \fBM\fP and \fBL\fP move the cursor to the leftmost column
 of the top, center or bottom line of the window. 
 .br
 .ti -2n
-\fB+\fP and \fB\-\fP positions one line up and down.
+\fB|\fP moves to the specified absolute column.
 .br
 .ti -2n
-\fBG\fP moves to the specified absolute line (default: end of buffer).
+\fBg\fP or \fBhome\fP moves to the beginning of the buffer.
+.br
+.ti -2n
+\fBG\fP or \fBend\fP moves to the specified absolute line (default: end of buffer).
 .br 
 .ti -2n
-\fB|\fP moves to the specified absolute column.
+\fB%\fP jumps to the specified percentage of the buffer.
+.br
+.ti -2n
+\fB^\fP or \fB$\fP move to the leftmost column, to the first or last
+non-whitespace character on the line.
 .br
 .ti -2n
-\fBw\fP, \fBb\fP, \fBe\fP move the cursor word by word.
+\fBw\fP, \fBb\fP, and \fBe\fP move the cursor word by word.
 .br 
 .ti -2n
 \fBB\fP, \fBE\fP move the cursor WORD by WORD (as in vi).
@@ -1306,7 +1323,11 @@ of the top, center or bottom line of the window.
 move the cursor to the 3rd 'y' to the right.)
 .br
 .ti -2n
-\fB;\fP \fB,\fP Repeat the last f/F/t/T command in the same/opposite direction.
+\fB;\fP and \fB,\fP Repeat the last f/F/t/T command in the same/opposite direction.
+.br
+.ti -2n
+\fBC-e\fP and \fBC-y\fP scroll the display up/down by one line
+while preserving the cursor position.
 .br
 .ti -2n
 \fBC-u\fP and \fBC-d\fP scroll the display up/down by the specified amount of 
@@ -1315,12 +1336,6 @@ lines while preserving the cursor position. (Default: half screen-full).
 .ti -2n
 \fBC-b\fP and \fBC-f\fP scroll the display up/down a full screen.
 .br
-.ti -2n
-\fBg\fP moves to the beginning of the buffer.
-.br
-.ti -2n
-\fB%\fP jumps to the specified percentage of the buffer.
-.br
 .ti -4n
 
 .IR Note :
@@ -1334,11 +1349,12 @@ emacs-style keymap, as this involves multi-character codes.
 .IR Marking :
 .br
 The copy range is specified by setting two marks. The text between these marks 
-will be highlighted. Press 
+will be highlighted. Press:
 .br
 .ti -2n
-\fBspace\fP to set the first or second mark
-respectively.
+\fBspace\fP or \fBenter\fP to set the first or second mark
+respectively. If \fBmousetrack\fP is set to `on', marks can also be set using
+\fPleft mouse click\fP.
 .br
 .ti -2n
 \fBY\fP and \fBy\fP used to mark one whole line or to mark from 
@@ -1370,6 +1386,10 @@ Example: \*QC-a C-[ H 10 j 5 Y\*U will copy lines
 \fBC-a s\fP \fIEmacs\fP style incremental search forward.
 .ti -2n
 \fBC-r\fP \fIEmacs\fP style reverse i-search.
+.ti -2n
+\fBn\fP Find next search pattern.
+.ti -2n
+\fBN\fP Find previous search pattern.
 .ti -4n
 .IR Specials :
 .br
@@ -1378,7 +1398,7 @@ There are however some keys that act differently than in
 .I Vi
 does not allow one to yank rectangular blocks of text, but
 .I screen
-does. Press 
+does. Press: 
 .br
 .ti -2n
 \fBc\fP or \fBC\fP to set the left or right margin respectively. If no repeat count is
@@ -1403,7 +1423,7 @@ whitespace and comma separated lines. Note that you can prepend the newline
 character with a carriage return character, by issuing a \*Qcrlf on\*U.
 .br
 .ti -2n
-\fBv\fP is for all the
+\fBv\fP or \fBV\fP is for all the
 .I vi 
 users with \*Q:set numbers\*U \- it toggles the left margin between column 9
 and 1. Press 
@@ -1427,10 +1447,13 @@ to that file: \*QC-A [ g SPACE G $ >\*U.
 \fBC-g\fP gives information about the current line and column.
 .br
 .ti -2n
-\fBx\fP exchanges the first mark and the current cursor position. You
+\fBx\fP or \fBo\fP exchanges the first mark and the current cursor position. You
 can use this to adjust an already placed mark.
 .br
 .ti -2n
+\fBC-l\fP ('el') will redraw the screen.
+.br 
+.ti -2n
 \fB@\fP does nothing. Does not even exit copy mode.
 .br
 .ti -2n
diff --git a/src/doc/screen.texinfo b/src/doc/screen.texinfo
index 33d9ee3..5ae14e3 100644
--- a/src/doc/screen.texinfo
+++ b/src/doc/screen.texinfo
@@ -3462,46 +3462,69 @@ in a single statement.
 @subsection Movement Keys
 
 @noindent
-@kbd{h}, @kbd{j}, @kbd{k}, @kbd{l} move the cursor line by line or
-column by column.
+@kbd{h}, @kbd{C-h}, or @kbd{left arrow} move the cursor left.
 
 @noindent
-@kbd{0}, @kbd{^} and @kbd{$} move to the leftmost column or to the first
-or last non-whitespace character on the line.
+@kbd{j}, @kbd{C-n}, or @kbd{down arrow} move the cursor down.
 
 @noindent
-@kbd{H}, @kbd{M} and @kbd{L} move the cursor to the leftmost column
-of the top, center or bottom line of the window. 
+@kbd{k}, @kbd{C-p}, or @kbd{up arrow} move the cursor up.
+
+@noindent
+@kbd{l} ('el'), or @kbd{right arrow} move the cursor right.
+
+@noindent
+@kbd{0} (zero) or @kbd{C-a} move to the leftmost column.
 
 @noindent
 @kbd{+} and @kbd{-} move the cursor to the leftmost column of the next
 or previous line.
 
 @noindent
-@kbd{G} moves to the specified absolute line (default: end of buffer).
- 
+@kbd{H}, @kbd{M} and @kbd{L} move the cursor to the leftmost column
+of the top, center or bottom line of the window. 
+
 @noindent
 @kbd{|} moves to the specified absolute column.
 
 @noindent
-@kbd{w}, @kbd{b}, @kbd{e} move the cursor word by word.
+@kbd{g} or @kbd{home} moves to the beginning of the buffer.
+
+@noindent
+@kbd{G} or @kbd{end} moves to the specified absolute line (default: end of buffer).
+ 
+@noindent
+@kbd{%} jumps to the specified percentage of the buffer.
+
+@noindent
+@kbd{^} or @kbd{$} move to the first
+or last non-whitespace character on the line.
+
+@noindent
+@kbd{w}, @kbd{b}, and @kbd{e} move the cursor word by word.
  
 @noindent
 @kbd{B}, @kbd{E} move the cursor WORD by WORD (as in vi).
 
 @noindent
-@kbd{C-u} and @kbd{C-d} scroll the display up/down by the specified
-amount of lines while preserving the cursor position. (Default: half
-screenful).
+@kbd{f}/@kbd{F}, @kbd{t}/@kbd{T} move the cursor forward/backward to the 
+next occurence of the target. (eg, '3fy' will move the cursor to the 3rd 
+'y' to the right.)
 
 @noindent
-@kbd{C-b} and @kbd{C-f} move the cursor up/down a full screen.
+@kbd{;} and @kbd{,} Repeat the last f/F/t/T command in the same/opposite direction.
+
+@noindent 
+@kbd{C-e} and @kbd{C-y} scroll the display up/down by one line
+while preserving the cursor position.
 
 @noindent
-@kbd{g} moves to the beginning of the buffer.
+@kbd{C-u} and @kbd{C-d} scroll the display up/down by the specified
+amount of lines while preserving the cursor position. (Default: half
+screenful).
 
 @noindent
-@kbd{%} jumps to the specified percentage of the buffer.
+@kbd{C-b} and @kbd{C-f} move the cursor up/down a full screen.
 
 Note that Emacs-style movement keys can be specified by a .screenrc
 command. (@code{markkeys "h=^B:l=^F:$=^E"}) There is no simple method for
@@ -3511,8 +3534,12 @@ a full emacs-style keymap, however, as this involves multi-character codes.
 @subsection Marking
 
 The copy range is specified by setting two marks. The text between these
-marks will be highlighted. Press @kbd{space} to set the first or second
-mark respectively.
+marks will be highlighted. Press:
+
+@noindent
+@kbd{space} or @kbd{enter} to set the first or second mark respectively.
+If @code{mousetrack} is set to @code{on}, marks can also be set using
+@kbd{left mouse click}.
 
 @noindent
 @kbd{Y} and @kbd{y} can be used to mark one whole line or to mark from 
@@ -3526,7 +3553,11 @@ start of line.
 
 Any command in copy mode can be prefixed with a number (by pressing
 digits @kbd{0@dots{}9}) which is taken as a repeat count. Example:
-@kbd{C-a C-[ H 10 j 5 Y} will copy lines 11 to 15 into the paste buffer.
+@example
+@kbd{C-a C-[ H 10 j 5 Y}
+@end example
+@noindent
+will copy lines 11 to 15 into the paste buffer.
 
 @node Searching, Specials, Repeat count, Copy
 @subsection Searching
@@ -3549,25 +3580,35 @@ Tell screen to ignore the case of characters in searches. Default is
 @code{off}.
 @end deffn
 
+@noindent
+@kbd{n} Repeat search in forward direction.
+
+@noindent
+@kbd{N} Repeat search in backward direction.
+
 @node Specials,  , Searching, Copy
 @subsection Specials
 
 There are, however, some keys that act differently here from in
 @code{vi}.  @code{Vi} does not allow to yank rectangular blocks of text,
-but @code{screen} does. Press
+but @code{screen} does. Press:
 
 @noindent
 @kbd{c} or @kbd{C} to set the left or right margin respectively. If no
 repeat count is given, both default to the current cursor position.@*
 Example: Try this on a rather full text screen: 
+@example
 @kbd{C-a [ M 20 l SPACE c 10 l 5 j C SPACE}.
+@end example
 
 @noindent
 This moves one to the middle line of the screen, moves in 20 columns left,
 marks the beginning of the paste buffer, sets the left column, moves 5 columns
 down, sets the right column, and then marks the end of
-the paste buffer. Now try:@*
+the paste buffer. Now try:
+@example
 @kbd{C-a [ M 20 l SPACE 10 l 5 j SPACE}
+@end example
 
 @noindent
 and notice the difference in the amount of text copied.
@@ -3580,11 +3621,11 @@ character with a carriage return character, by issuing a @code{set crlf
 on}.
 
 @noindent
-@kbd{v} is for all the @code{vi} users who use @code{:set numbers} - it
+@kbd{v} or @kbd{V} is for all the @code{vi} users who use @code{:set numbers} - it
 toggles the left margin between column 9 and 1.
 
 @noindent
-@kbd{a} before the final space key turns on append mode. Thus
+@kbd{a} before the final @kbd{space} key turns on append mode. Thus
 the contents of the paste buffer will not be overwritten, but appended to.
 
 @noindent
@@ -3595,16 +3636,22 @@ the contents of the paste buffer will not be overwritten, but appended to.
 to the screen-exchange file (@file{/tmp/screen-exchange} per default)
 once copy-mode is finished.  @xref{Screen Exchange}.@*
 This example demonstrates how to dump the
-whole scrollback buffer to that file: @*@kbd{C-a [ g SPACE G $ >}.
+whole scrollback buffer to that file: 
+@example
+@kbd{C-a [ g SPACE G $ >}.
+@end example
 
 @noindent
 @kbd{C-g} gives information about the current line and column.
 
 @noindent
-@kbd{x} exchanges the first mark and the current cursor position. You
+@kbd{x} or @kbd{o} ('oh') exchanges the first mark and the current cursor position. You
 can use this to adjust an already placed mark.
 
 @noindent
+@kbd{C-l} ('el') will redraw the screen.
+
+@noindent
 @kbd{@@} does nothing.  Absolutely nothing.  Does not even exit copy
 mode.
 
